import Vue from "vue";
import { formatDate } from "../plugins/utils";

const DEFAULT_FIELD = "--";

Vue.filter("defaultFieldFilter", function(val) {
  return val || DEFAULT_FIELD;
});
Vue.filter("enableFilter", function(val) {
  return val ? "启用" : "禁用";
});
Vue.filter("booleanFilter", function(val) {
  return val ? "是" : "否";
});
Vue.filter("timestampFilter", function(val) {
  return val
    ? formatDate("YYYY-MM-DD HH:mm:ss", new Date(val * 1))
    : DEFAULT_FIELD;
});
